Subject: Re: [PATCH v2 4/4] git-p4: Disable t9819 git-p4-case-folding test on OS X

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 Oct 2015 11:49:07 -0700

Lars Schneider <[email-masked]> writes:

> By the way... what formatting should I use?
>
> if foo
> then
>   bar
>
> or
>
> if foo; then
>   bar
>
> I think the latter is more used in the code base.

I've allowed the latter in fringe scripts (i.e. the ones that I do
not care too deeply) over time, but Documentation/CodingGuidelines
is very clear about it.

 - Do not write control structures on a single line with semicolon.